---

- name: "Add storage for {{ st_name }}"
  include_role:
    name: lvm_partition
  vars:
    lv_name: "{{ st_name }}"
    path: "{{ nfs_root }}/{{ st_name }}"

- name: "Create NFS export for {{ st_name }}"
  copy:
    content: "{{ nfs_root }}/{{ st_name }} {{ (host|mandatory).split('.')[0] }}.srv.osci.io(rw,no_subtree_check,no_root_squash,crossmnt,async)\n"
    dest: "/etc/exports.d/{{ st_name }}.exports"
    owner: root
    group: root
    mode: 0644
  notify: Restart NFS Service

